Multipart Upload
All operations require authentication.
List multipart uploadsProduction
Returns the multipart uploads in progress in the bucket, meaning those not yet completed or aborted.
Path parameters
Bucket name
Project ID
Headers
Pagination cursor
Pagination size
Response
Multipart upload initiation timestamp
Unique identifier of the multipart upload
Object key (path within the bucket)
Storage class of the object
DEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IAExample uses bucketName = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName}/ multipartUpload \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE" }]
Start a multipart uploadProduction
Starts uploading a large object in several parts. Returns the upload identifier used by the next calls.
Path parameters
Bucket name
Project ID
Request body (required)
Object key (path within the bucket)
Storage class of the object
DEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IAResponse
Multipart upload initiation timestamp
Unique identifier of the multipart upload
Object key (path within the bucket)
Storage class of the object
DEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IAExample uses bucketName = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName}/ multipartUpload \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE"}
Get a multipart uploadProduction
Returns the details of a multipart upload in progress.
Path parameters
Bucket name
Id
Project ID
Response
Multipart upload initiation timestamp
Unique identifier of the multipart upload
Object key (path within the bucket)
Storage class of the object
DEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IAExample uses bucketName = string, id = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName}/ multipartUpload/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE"}
List object multipart uploadsProduction
Returns the multipart uploads in progress for the object.
Path parameters
Bucket name
Key
Project ID
Headers
Pagination cursor
Pagination size
Response
Multipart upload initiation timestamp
Unique identifier of the multipart upload
Object key (path within the bucket)
Storage class of the object
DEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IAExample uses bucketName = string, key = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName}/ object/ {key}/ multipartUpload \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE" }]
Get an object multipart uploadProduction
Returns the details of a multipart upload in progress for the object.
Path parameters
Bucket name
Id
Key
Project ID
Response
Multipart upload initiation timestamp
Unique identifier of the multipart upload
Object key (path within the bucket)
Storage class of the object
DEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IAExample uses bucketName = string, id = string, key = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName}/ object/ {key}/ multipartUpload/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "string", "key": "string", "storageClass": "DEEP_ARCHIVE"}
List multipart upload partsProduction
Returns the parts already uploaded for a multipart upload.
Path parameters
Bucket name
Id
Key
Project ID
Response
Array of uploaded parts
Storage class of the object
DEEP_ARCHIVEGLACIER_IRHIGH_PERFSTANDARDSTANDARD_IAExample uses bucketName = string, id = string, key = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName}/ object/ {key}/ multipartUpload/ {id}/ parts \
-H "authorization: Bearer $OVH_TOKEN"{ "parts": [ { "etag": "string", "lastModifiedAt": "2024-01-01T12:00:00Z", "number": 0, "size": 0 } ], "storageClass": "DEEP_ARCHIVE"}
Abort a multipart uploadProduction
Stops the upload and deletes the parts already uploaded. No object is created.
Path parameters
Bucket name
Id
Key
Project ID
Response
Example uses bucketName = string, id = string, key = string, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ object/ bucket/ {bucketName}/ object/ {key}/ multipartUpload/ {id} \
-H "authorization: Bearer $OVH_TOKEN"